petsc-3.10.5 2019-03-28
Report Typos and Errors

# PetscViewerHDF5SetTimestep

Set the current timestep for the HDF5 output. Fields are stacked in time. A timestep of -1 disables blocking with timesteps.

### Synopsis

    #include "petscsys.h"
    #include "petscviewerhdf5.h"
    PetscErrorCode  PetscViewerHDF5SetTimestep(PetscViewer viewer, PetscInt timestep)

Not collective

### Input Parameters

| viewer | - the PetscViewer
| timestep | - The timestep number

### See Also

PetscViewerHDF5Open(), PetscViewerHDF5IncrementTimestep(), PetscViewerHDF5GetTimestep()

### Level

intermediate

### Location

src/sys/classes/viewer/impls/hdf5/hdf5v.c

### Examples

src/vec/vec/examples/tutorials/ex19.c.html
Index of all Viewer routines
Table of Contents for all manual pages
Index of all manual pages